Skip to navigation

Submit Compute Receipt

View as Markdown

Only exact immutable receipt retries are idempotent; changed content conflicts.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
attachment_idstringRequired

Request

This endpoint expects an object.
idempotency_keystringRequired1-128 characters
payloadmap from strings to anyRequired
request_digeststringRequiredformat: "^[a-f0-9]{64}$"
run_idstringRequired1-128 characters
statusenumRequired
Allowed values:
tool_call_idstringRequired1-128 characters
tool_provider_idstringRequired1-128 characters
capability_name"compute.execute"OptionalDefaults to compute.execute

Response

Successful Response
createdboolean
tool_call_idstring
status"accepted"OptionalDefaults to accepted

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
503
Service Unavailable Error